Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.obj
Class Vertex

    java.lang.Object
      com.obj.Vertex

    public class Vertex

extends java.lang.Object

Constructor Summary
`Vertex()`
`Vertex(float x, float y, float z)`
`Vertex(int i, int j)`
`Vertex(Vertex position)`

Method Summary
`void` | `add(Vertex offSet)`
`Vertex` | `copyAndAdd(Vertex offSet)`
`Vertex` | `copyAndMult(float coef)`
`Vertex` | `copyAndRotateZ(float angle)`
`Vertex` | `copyAndSub(Vertex v)`
`double` | `distanceFrom(Vertex to)`
`float` | `dot(Vertex v)`
`float` | `getX()`
`float` | `getY()`
`float` | `getZ()`
`Vertex` | `mult(double factor)`
`Vertex` | `mult(float factor)`
`Vertex` | `mult(Vertex offSet)`
`double` | `norm()`
`void` | `normalize()`
`float` | `perpDot(Vertex v)`
`Vertex` | `rotateX(double angle)`
`Vertex` | `rotateZ(double angle)`
`void` | `setX(float x)`
`void` | `setY(float y)`
`void` | `setZ(float z)`
`void` | `subFrom(Vertex position)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Vertex

    public Vertex()

### Vertex

    public Vertex(float x,
                  float y,
                  float z)

### Vertex

    public Vertex(int i,
                  int j)

### Vertex

    public Vertex(Vertex position)

Method Detail

### getX

    public float getX()

### setX

    public void setX(float x)

### getY

    public float getY()

### setY

    public void setY(float y)

### getZ

    public float getZ()

### setZ

    public void setZ(float z)

### norm

    public double norm()

### normalize

    public void normalize()

### distanceFrom

    public double distanceFrom(Vertex to)

### rotateZ

    public Vertex rotateZ(double angle)

### rotateX

    public Vertex rotateX(double angle)

### copyAndRotateZ

    public Vertex copyAndRotateZ(float angle)

### add

    public void add(Vertex offSet)

### copyAndAdd

    public Vertex copyAndAdd(Vertex offSet)

### mult

    public Vertex mult(Vertex offSet)

### mult

    public Vertex mult(double factor)

### mult

    public Vertex mult(float factor)

### copyAndSub

    public Vertex copyAndSub(Vertex v)

### copyAndMult

    public Vertex copyAndMult(float coef)

### dot

    public float dot(Vertex v)

### perpDot

    public float perpDot(Vertex v)

### subFrom

    public void subFrom(Vertex position)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD